Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ffmpeg] probleme de codec et [emerge world] ? (résolu)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Fri Feb 16, 2007 2:23 pm    Post subject: [ffmpeg] probleme de codec et [emerge world] ? (résolu) Reply with quote

Bonjour,
certains d'entre vous m'ont deja aidé pour installer KDE je les remercie.

Je suis face a un nouveau soucis avec ffmpeg. Je l'ai installé en faisant "emerge ffmpeg" .

Ca fonctionne corectement sauf lorsque je veux encoder un MP4 en FLV, il me met unsuported codec (un truc du style).

en faisant un ffmpeg --formats , je vois le mp4 en D et pas en E...

donc je pense que le codec n'est pas installé...

Sauriez vous comment faire pour l'ajouter ?
faut il recompiler ? faut il desinstaller reinstaller ?
je ne sais trop que faire, et j'ai rien trouvé sur le net, alors peut etre que certains ici pourront m'aider ;)


Merci @ bientôt.


Last edited by gentoonew on Wed Feb 21, 2007 10:29 am; edited 2 times in total
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Fri Feb 16, 2007 3:00 pm    Post subject: Reply with quote

Salut, tu devrais utiliser /etc/portage/package.use pour régler ton problème.

http://www.gentoo-portage.com/media-video/ffmpeg/USE#ptabs

Ajoute ceci dans ton fichier à mon avis:

media-video/ffmpeg xvid

Et recompile :

emerge -puDNv world
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Fri Feb 16, 2007 3:14 pm    Post subject: Reply with quote

merci pour ta reponse mais avant de faire une betise jai des questions.

- ce fichier /etc/portage/package.use n'existe pas chez moi, cest normal ?

- emerge -puDNv world ca met a jour tous mes programmes ? ca veut dire que ca risque de foutre en l'air certaines de mes configurations ? (apache, mysql etc..)

- si ca met a jour le ffmpeg, ca RAJOUTE les codecs XVID a l'existant, ou ca recompile uniquement ffmpeg avec xvid, et je perds ce que jai actuellement ?

- le merge est il long ?

désolé si je dis des betises, mais bon je suis tout neuf, a peine déballé dans le monde gentoo linux :)


thanks
Back to top
View user's profile Send private message
Tuxicomane
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 290
Location: Val-de-Marne, FRANCE

PostPosted: Fri Feb 16, 2007 5:07 pm    Post subject: Reply with quote

Quote:
fichier /etc/portage/package.use n'existe pas chez moi, cest normal ?

Oui.
Quote:
emerge -puDNv world ca met a jour tous mes programmes ? ca veut dire que ca risque de foutre en l'air certaines de mes configurations ? (apache, mysql etc..)
Ça mets à jour ce qui doit être à jour, ça ne foutra pas en l'air tes config si tu te sers correctement de etc-update ou de dispatch-conf.
Quote:
si ca met a jour le ffmpeg, ca RAJOUTE les codecs XVID a l'existant, ou ca recompile uniquement ffmpeg avec xvid, et je perds ce que jai actuellement ?
Ben, ça recompile tout ffmpeg, en rajoutant le support pour le xvid ;)
Quote:
le merge est il long ?
Ça dépend de ta machine, normalement c'est à peine plus long que ta première installation de ffmpeg.
Quote:
désolé si je dis des betises, mais bon je suis tout neuf, a peine déballé dans le monde gentoo linux :)
C'est bien pour ça que je pense que tu devrais étudier la formidable doc à notre disposition :)
Back to top
View user's profile Send private message
_Seth_
Guru
Guru


Joined: 15 Sep 2004
Posts: 539
Location: encore paumé dans un labo ;)

PostPosted: Fri Feb 16, 2007 5:10 pm    Post subject: Reply with quote

gentoonew wrote:
merci pour ta reponse mais avant de faire une betise jai des questions.
- ce fichier /etc/portage/package.use n'existe pas chez moi, cest normal ?

Ca fait tellement longtemps que je l'ai que je ne me souviens plus s'il est crée par défaut... en tout cas c'est pas grave, tu peux le créer sans soucis :)
Quote:
- emerge -puDNv world ca met a jour tous mes programmes ? ca veut dire que ca risque de foutre en l'air certaines de mes configurations ? (apache, mysql etc..)

Normalement non, car :
- si tu utilises dispatch-conf au lieu de etc-update, tu ne devrais pas rencontrer de problème. Tu peux voir ce qui change entre ton fichier de conf et le nouveau, et choisir ce que tu veux conserver (le tout est back-uppé par un cvs donc pas de soucis si tu fais des bêtises)
- si tu veux conserver certaines versions de tes programmes, par ex ne pas passer à la version 1.5 du programme bidule, tu peux ajouter dans /etc/pacakge.mask (à créer s'il n'existe pas)
Code:
>= bidule-1.5

Quote:
- si ca met a jour le ffmpeg, ca RAJOUTE les codecs XVID a l'existant, ou ca recompile uniquement ffmpeg avec xvid, et je perds ce que jai actuellement ?

euh, je comprends pas trop ta question, mais ça recompile ffmpeg en incluant le code (de ffmpeg) et les paquets nécessaires (les dépendances) pour gérer xvid.
Quote:
- le merge est il long ?

en faisant un
Code:
emerge -puDNv world

c'est équivalent à --pretend --update --deep (pour examiner les dépendances en profondeur) --newuse (pour recompiler les paquets dont les useflag ont changé) --verbose, donc le temps vas dépendre du nombre de paquets à mettre à jour et du nombre de paquets dont les useflags ont changé (je suis pas sûr de ce que tu entends par merge)

Si tu ne veux pas faire de emerge -puvDN world, tu peux toujours recompiler seulement ffmpeg avec
Code:
emerge -v ffmpeg


EDIT : grillé !
_________________
no tears to cry, no feelings left
the species has amused itself to death
amused itself to death
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Fri Feb 16, 2007 5:41 pm    Post subject: Reply with quote

Salut, je t'ai suggéré de faire emerge -puDNv world, c'est pour être sûr que le support xvid va être installé correctement.

Car des fois, quand on ajoute un use spécifique à un package, des fois on est mieux de recompiler au cas où :)

C'était juste une protection pour être certain que ton Gentoo soit intègre :)

C'est vrai aussi que tu aurais pu ajouter ce use dans /etc/make.conf et là c'est obligation de faire emerge -puDNv world.
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Sat Feb 17, 2007 6:38 pm    Post subject: Reply with quote

merci a tous pour vos réponses...!!!!
c'est super sympa.

bon alors, pour pas prendre de risques, je fait juste un
emerge -v ffmpeg

et par la suite je ferais un dispatch mais pour tout vous dire,

je le fait pas à tous les coup le etc-update, est - ce grave docteur ?

(bon ma machine n'a que 3 semaines, avec un gentoo 2.6, ssh, mysql, apache, php, kde, ffmpeg) rien de spécial ...
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Sat Feb 17, 2007 6:43 pm    Post subject: Reply with quote

voila ce que j'ai :
Code:
 etc-update
Scanning Configuration files...
The following is the list of files which need updating, each
configuration file is followed by a list of possible replacement files.
1) /etc/cron.weekly/makewhatis (1)
2) /etc/man.conf (1)
Please select a file to edit by entering the corresponding number.
              (don't use -3 or -5 if you're unsure what to do)
              (-1 to exit) (-3 to auto merge all remaining files)
                           (-5 to auto-merge AND not use 'mv -i'):

j'ai rien fait encore.. j'ai trop peur



et mince...
le format MP4 n'est toujours pas reconnu ..........

ouhla c'est parti en cacahuete :( :(

meme le mpg , le avi n'est plus reconnu...

ffmpeg est mort :s need help


Last edited by gentoonew on Sat Feb 17, 2007 6:53 pm; edited 1 time in total
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Sat Feb 17, 2007 11:28 pm    Post subject: Reply with quote

Comme les autres avant moi, je ne peux que te conseiller de lire de la documentation à commencer par notre Bible à tous : le manuel Gentoo. :twisted:

Voilà ainsi le chapitre évoquant etc-update et dispatch-conf et celui concernant l'utilisation de la variable USE.

Il n'y a pas à paniquer. Un peu de lecture te permettra de comprendre ce que tu fais et résoudra la majorité de tes ennuis. Pour le reste, la communauté peut toujours te filer un coup de main. :wink:
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Sat Feb 17, 2007 11:29 pm    Post subject: Reply with quote

je vais mourrir...

j'ai tout essayé , unmerge ffmpeg xivd, puis emmerge ffmpeg, mais ca n'arrange rien.

c'est toujours des formats inconnus :roll:
Back to top
View user's profile Send private message
Magic Banana
Veteran
Veteran


Joined: 13 Dec 2005
Posts: 1907
Location: Belo Horizonte, Minas Gerais, Brasil

PostPosted: Sat Feb 17, 2007 11:35 pm    Post subject: Reply with quote

J'insiste : lis la documentation. Si tu l'avais fais tu nous donnerais des informations plus intéressantes que "je vais mourir, ça ne marche pô". Tu nous donnerais par exemple le contenu de ta variable USE... :twisted:
Back to top
View user's profile Send private message
blasserre
Veteran
Veteran


Joined: 10 Feb 2004
Posts: 1362
Location: Lille, Vlaanderen

PostPosted: Sat Feb 17, 2007 11:36 pm    Post subject: Reply with quote

... ou le résultat d'un emerge -pv ffmpeg
_________________
benj

technicien professionnel, ascendant winner
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Sat Feb 17, 2007 11:46 pm    Post subject: Reply with quote

ok alors je vais etre clair sans m'enerver :)

je n'ai pas changer ma variable use entre ma premiere install et l'install de ce soir, la seule difference entre les 2 cest la recompilatiion avec loption xvid...


voila ce que me donne la commance :

Code:
pclinux ~ # emerge -pv ffmpeg

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-video/ffmpeg-0.4.9_p20061016  USE="encode imlib ogg oss sdl truetype vorbis zlib -a52 -aac -amr -debug -doc -dts -ieee1394 -mmx -network -test -theora -threads -v4l -x264 -xvid" 0 kB
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Sat Feb 17, 2007 11:52 pm    Post subject: Reply with quote

bon merci je retente une installe avec comme options :

media-video/ffmpeg a52 aac dts theora xvid x264


chose que je n'avais pas fait la premiere fois, je vous tiens au courant


EDIT :

donc voila, tous les paquets ont été reinstallés, et le probleme persiste.
tous les formats sont inconnus.
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Sun Feb 18, 2007 2:15 am    Post subject: Reply with quote

Ton package doit avoir une dépendance qui doit être recompilé aussi avec le nouveau use xvid pour que ¸a fonctionne.

Je suis certain qu'en ajoutant xvid dans ton fichier /etc/make.conf et en faisant emerge -puDNv world et en nous envoyant le résultat sur le forum, on va pouvoir t'aider sans problème.
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Sun Feb 18, 2007 2:25 am    Post subject: Reply with quote

Salut, je te sens insécure, alors je sais pas si ton système est assez fonctionnel, mais que dirais tu de prendre un backup de tout ça et de te créer un DVD par dessus le marché.

Si ça t'intéresse, tu peux suivre les indications et te créer un merveilleux Stage 5.

C'est comme faire un Ghost sous Windows, mais celui-ci utilise des instructions Linux Open Source :)

Voici le lien : https://forums.gentoo.org/viewtopic-t-521120.html

Lâche pas:)
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Sun Feb 18, 2007 7:30 am    Post subject: Reply with quote

merci je vais faire le backup un fois ffmpeg rétabli :

voila pour la commande :

Code:
pclinux ~ # emerge -puDNv world

These are the packages that would be merged, in order:

Calculating world dependencies... done!

[blocks B     ] sys-apps/coldplug (is blocking sys-fs/udev-103)
[blocks B     ] >=sys-fs/udev-089 (is blocking sys-apps/coldplug-20040920-r1)
[ebuild     U ] sys-libs/zlib-1.2.3-r1 [1.2.3] USE="-build" 415 kB
[ebuild     U ] sys-libs/gpm-1.20.1-r5 [1.20.1-r4] 559 kB
[ebuild     U ] sys-libs/ncurses-5.5-r3 [5.5-r2] USE="gpm -bootstrap -build -debug -doc -minimal -nocxx -trace% -unicode" 2,259 kB
[ebuild     U ] app-shells/bash-3.1_p17 [3.1_p16] USE="nls -afs -bashlogger -vanilla%" 2,517 kB
[ebuild     U ] sys-devel/gettext-0.16.1 [0.14.4] USE="nls -doc -emacs -nocxx%" 8,339 kB
[ebuild     U ] sys-devel/gnuconfig-20060702 [20060227] 38 kB
[ebuild     U ] sys-libs/db-4.2.52_p4-r2 [4.2.52_p2-r1] USE="-bootstrap -doc -java -nocxx -tcl% -test%" 3,989 kB
[ebuild     U ] dev-libs/openssl-0.9.8d [0.9.7j] USE="zlib -bindist -emacs -sse2% -test" 3,237 kB
[ebuild     U ] dev-lang/python-2.4.3-r4 [2.4.3-r1] USE="berkdb gdbm ipv6 ncurses readline ssl -bootstrap -build -doc -nocxx -tk% -ucs2" 7,827 kB
[ebuild     U ] app-admin/perl-cleaner-1.04.3 [1.04] 5 kB
[ebuild     U ] app-misc/pax-utils-0.1.15 [0.1.13] USE="-caps" 52 kB
[ebuild     U ] sys-apps/sed-4.1.5 [4.1.4-r1] USE="nls -static" 780 kB
[ebuild     U ] sys-apps/portage-2.1.1-r2 [2.1-r2] USE="-build -doc" LINGUAS="-pl" 295 kB
*** Portage will stop merging at this point and reload itself,
    then resume the merge.
[ebuild     U ] sys-apps/texinfo-4.8-r5 [4.8-r2] USE="nls -build -static" 1,486 kB
[ebuild     U ] sys-apps/help2man-1.36.4 [1.33.1] USE="nls" 83 kB
[ebuild     U ] sys-apps/groff-1.19.2-r1 [1.19.1-r2] USE="X -cjk%" 2,835 kB
[ebuild     U ] sys-apps/man-pages-2.42 [2.33] USE="nls" 1,777 kB
[ebuild     U ] sys-kernel/linux-headers-2.6.17-r2 [2.6.11-r2] USE="-gcc64%" 40,346 kB
[ebuild     U ] sys-libs/com_err-1.39 [1.38] USE="nls" 3,608 kB
[ebuild     U ] sys-libs/ss-1.39 [1.38] USE="nls" 0 kB
[ebuild     U ] sys-fs/e2fsprogs-1.39 [1.38-r1] USE="nls -static" 0 kB
[ebuild     U ] sys-apps/util-linux-2.12r-r4 [2.12r-r3] USE="crypt nls perl -old-crypt -static" 1,504 kB
[ebuild     U ] app-arch/gzip-1.3.5-r10 [1.3.5-r8] USE="nls -build -pic -static" 323 kB
[ebuild     U ] sys-libs/cracklib-2.8.9-r1 [2.8.9] USE="nls python" 562 kB
[ebuild     U ] sys-libs/pam-0.78-r5 [0.78-r3] USE="berkdb -nis -pam_chroot -pam_console -pam_timestamp -pwdb" 6,346 kB
[ebuild     U ] sys-libs/timezone-data-2006p [2006a] USE="nls%" 336 kB
[ebuild     U ] sys-devel/bison-2.2 [2.1] USE="nls -static" 1,052 kB
[ebuild     U ] sys-apps/findutils-4.3.2 [4.1.20-r2] USE="nls -static" 1,276 kB
[ebuild     U ] sys-devel/binutils-config-1.9-r3 [1.8-r7] 0 kB
[ebuild     U ] dev-libs/mpfr-2.2.0_p16 [2.2.0_p10] 738 kB
[ebuild     U ] sys-devel/gcc-config-1.3.14 [1.3.13-r3] 0 kB
[ebuild     U ] sys-devel/gcc-4.1.1-r3 [4.1.1] USE="fortran gtk nls -bootstrap -build -doc -gcj -hardened -ip28 -ip32r10k -mudflap -multislot -nocxx -objc -objc++ -objc-gc -test% -vanilla" 38,324 kB
[ebuild     U ] sys-libs/glibc-2.3.6-r5 [2.3.6-r4] USE="nls -build -erandom -glibc-compat20 -glibc-omitfp -hardened -profile" 15,523 kB
[ebuild     U ] sys-apps/net-tools-1.60-r12 [1.60-r11] USE="nls -static" 297 kB
[ebuild     U ] sys-apps/kbd-1.12-r8 [1.12-r6] USE="nls" 867 kB
[ebuild     U ] sys-apps/busybox-1.2.2.1 [1.1.3] USE="-debug -make-symlinks -netboot -savedconfig -static" 1,380 kB
[ebuild     U ] sys-apps/gawk-3.1.5-r2 [3.1.5-r1] USE="nls" 2,256 kB
[ebuild     U ] app-arch/tar-1.16-r2 [1.15.1-r1] USE="nls -static" 1,743 kB
[ebuild     U ] sys-apps/shadow-4.0.18.1 [4.0.15-r2] USE="cracklib% nls pam -nousuid -skey" 1,480 kB
[ebuild   R   ] net-www/apache-2.0.58-r2  USE="apache2* ssl -debug -doc -ldap -mpm-itk -mpm-leader -mpm-peruser -mpm-prefork -mpm-threadpool -mpm-worker -static-modules -threads" 0 kB
[ebuild     U ] sys-apps/coreutils-6.4 [5.94-r1] USE="nls -acl -static" 5,216 kB
[ebuild     U ] sys-apps/baselayout-1.12.6 [1.12.1] USE="-bootstrap -build -static -unicode" 216 kB
[ebuild     U ] sys-apps/module-init-tools-3.2.2-r1 [3.2.1] USE="-no-old-linux%" 394 kB
[ebuild     U ] sys-apps/file-4.18 [4.17-r1] USE="python" 523 kB
[ebuild     U ] dev-libs/popt-1.10.7 [1.7-r1] USE="nls" 711 kB
[ebuild     U ] net-misc/rsync-2.6.9-r1 [2.6.8-r2] USE="ipv6 -acl -static -xinetd" 792 kB
[ebuild     U ] sys-apps/debianutils-2.15-r1 [2.15] USE="-build -static" 181 kB
[ebuild     U ] sys-fs/udev-103 [087-r1] 195 kB
[ebuild     U ] sys-devel/make-3.81 [3.80-r4] USE="nls -static" 1,124 kB
[ebuild   R   ] sys-kernel/gentoo-sources-2.6.18-r6  USE="-build -symlink*" 0 kB
[ebuild     U ] app-editors/nano-2.0.1 [1.3.11-r2] USE="ncurses nls spell -debug -justify -minimal -slang -unicode" 1,268 kB
[ebuild     U ] sys-apps/hdparm-6.6 [6.3] 44 kB
[ebuild     U ] net-misc/openssh-4.5_p1 [4.3_p2-r1] USE="X% pam tcpd -X509 -chroot -hpn -kerberos -ldap -libedit -skey -smartcard -static" 943 kB

Total size of downloads: 166,084 kB
Back to top
View user's profile Send private message
Tuxicomane
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 290
Location: Val-de-Marne, FRANCE

PostPosted: Sun Feb 18, 2007 10:05 am    Post subject: Reply with quote

Salut,
À mon avis, commences déjà à mettre à jour tout ton système, tu y verras déjà plus clair ;)
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Mon Feb 19, 2007 1:19 pm    Post subject: Reply with quote

Code:
pclinux ~ # emerge -puDNv world
These are the packages that would be merged, in order:

Calculating world dependencies... done!

[blocks B     ] sys-apps/coldplug (is blocking sys-fs/udev-103)
[blocks B     ] >=sys-fs/udev-089 (is blocking sys-apps/coldplug-20040920-r1)
[/quote]

Tout d'abord, tu dois enlever le package coldplug.

Alors fais ceci en root :

Code:

#emerge -pCv coldplug
#emerge -C coldplug
#rc-update del coldplug boot


Ensuite tu referas un emerge -puDNv world et post le résultat s.v.p. :)
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Tue Feb 20, 2007 9:43 am    Post subject: Reply with quote

ok je vais le faire mais avant toute chose, je ne sais pas pourquoi, le avi mpeg remarge et
le mp4 aussi

donc la recompilation a finalement marché.

dois je tout de meme faire le emerge world ?
Back to top
View user's profile Send private message
Tuxicomane
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 290
Location: Val-de-Marne, FRANCE

PostPosted: Tue Feb 20, 2007 10:31 am    Post subject: Reply with quote

Je te le conseille grandement :)
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Tue Feb 20, 2007 1:02 pm    Post subject: Reply with quote

Tuxicomane wrote:
Je te le conseille grandement :)


C'est dans ton intérêt d'avoir une Gentoo en ordre avant de prendre un backup Stage 5 :)
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Tue Feb 20, 2007 3:04 pm    Post subject: Reply with quote

ok je finis de mettre a jour comme il faut ffmpeg (la il me manque les fichiers pour le AMR) et si tout fonctionne,

je fais un world et je poste ici.

merci
Back to top
View user's profile Send private message
gentoonew
n00b
n00b


Joined: 14 Feb 2007
Posts: 71

PostPosted: Tue Feb 20, 2007 3:31 pm    Post subject: Reply with quote

ok alors pour mon ffmpeg cest bon recompilé avec le flag AMR etc...

en ce qui concerne l emerge world ,

voici ce que ca donne :

Code:
 pclinux test # emerge -pCv coldplug

>>> These are the packages that would be unmerged:

 sys-apps/coldplug
    selected: 20040920-r1
   protected: none
     omitted: none

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

pclinux test # emerge -C coldplug

 sys-apps/coldplug
    selected: 20040920-r1
   protected: none
     omitted: none

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

>>> Waiting 5 seconds before starting...
>>> (Control-C to abort)...
>>> Unmerging in: 5 4 3 2 1
>>> Unmerging sys-apps/coldplug-20040920-r1...
No package files given... Grabbing a set.
--- cfgpro obj /etc/init.d/coldplug
--- cfgpro dir /etc/init.d
--- !empty dir /etc
>>> Regenerating /etc/ld.so.cache...

 * GNU info directory index is up-to-date.
 * IMPORTANT: 2 config files in /etc need updating.
 * Type emerge --help config to learn how to update config files.

pclinux test # rc-update del coldplug boot
 * 'coldplug' not found in any of the specified runlevels
pclinux test # rc-update del coldplug     
 * 'coldplug' removed from the following runlevels: default
pclinux test # emerge -puDNv world

These are the packages that would be merged, in order:

Calculating world dependencies... done!

[ebuild     U ] sys-libs/zlib-1.2.3-r1 [1.2.3] USE="-build" 415 kB
[ebuild     U ] sys-libs/gpm-1.20.1-r5 [1.20.1-r4] 559 kB
[ebuild     U ] sys-libs/ncurses-5.5-r3 [5.5-r2] USE="gpm -bootstrap -build -debug -doc -minimal -nocxx -trace% -unicode" 2,259 kB
[ebuild     U ] app-shells/bash-3.1_p17 [3.1_p16] USE="nls -afs -bashlogger -vanilla%" 2,517 kB
[ebuild     U ] sys-devel/gettext-0.16.1 [0.14.4] USE="nls -doc -emacs -nocxx%" 8,339 kB
[ebuild     U ] sys-devel/gnuconfig-20060702 [20060227] 38 kB
[ebuild     U ] sys-libs/db-4.2.52_p4-r2 [4.2.52_p2-r1] USE="-bootstrap -doc -java -nocxx -tcl% -test%" 3,989 kB
[ebuild     U ] dev-libs/openssl-0.9.8d [0.9.7j] USE="zlib -bindist -emacs -sse2% -test" 3,237 kB
[ebuild     U ] dev-lang/python-2.4.3-r4 [2.4.3-r1] USE="berkdb gdbm ipv6 ncurses readline ssl -bootstrap -build -doc -nocxx -tk% -ucs2" 7,827 kB
[ebuild     U ] app-admin/perl-cleaner-1.04.3 [1.04] 5 kB
[ebuild     U ] app-misc/pax-utils-0.1.15 [0.1.13] USE="-caps" 52 kB
[ebuild     U ] sys-apps/sed-4.1.5 [4.1.4-r1] USE="nls -static" 780 kB
[ebuild     U ] sys-apps/portage-2.1.1-r2 [2.1-r2] USE="-build -doc" LINGUAS="-pl" 295 kB
*** Portage will stop merging at this point and reload itself,
    then resume the merge.
[ebuild     U ] sys-apps/texinfo-4.8-r5 [4.8-r2] USE="nls -build -static" 1,486 kB
[ebuild     U ] sys-apps/help2man-1.36.4 [1.33.1] USE="nls" 83 kB
[ebuild     U ] sys-apps/groff-1.19.2-r1 [1.19.1-r2] USE="X -cjk%" 2,835 kB
[ebuild     U ] sys-apps/man-pages-2.42 [2.33] USE="nls" 1,777 kB
[ebuild     U ] sys-kernel/linux-headers-2.6.17-r2 [2.6.11-r2] USE="-gcc64%" 40,346 kB
[ebuild     U ] sys-libs/com_err-1.39 [1.38] USE="nls" 3,608 kB
[ebuild     U ] sys-libs/ss-1.39 [1.38] USE="nls" 0 kB
[ebuild     U ] sys-fs/e2fsprogs-1.39 [1.38-r1] USE="nls -static" 0 kB
[ebuild     U ] sys-apps/util-linux-2.12r-r4 [2.12r-r3] USE="crypt nls perl -old-crypt -static" 1,504 kB
[ebuild     U ] app-arch/gzip-1.3.5-r10 [1.3.5-r8] USE="nls -build -pic -static" 323 kB
[ebuild     U ] sys-libs/cracklib-2.8.9-r1 [2.8.9] USE="nls python" 562 kB
[ebuild     U ] sys-libs/pam-0.78-r5 [0.78-r3] USE="berkdb -nis -pam_chroot -pam_console -pam_timestamp -pwdb" 6,346 kB
[ebuild     U ] sys-libs/timezone-data-2006p [2006a] USE="nls%" 336 kB
[ebuild     U ] sys-devel/bison-2.2 [2.1] USE="nls -static" 1,052 kB
[ebuild     U ] sys-apps/findutils-4.3.2 [4.1.20-r2] USE="nls -static" 1,276 kB
[ebuild     U ] sys-devel/binutils-config-1.9-r3 [1.8-r7] 0 kB
[ebuild     U ] dev-libs/mpfr-2.2.0_p16 [2.2.0_p10] 738 kB
[ebuild     U ] sys-devel/gcc-config-1.3.14 [1.3.13-r3] 0 kB
[ebuild     U ] sys-devel/gcc-4.1.1-r3 [4.1.1] USE="fortran gtk nls -bootstrap -build -doc -gcj -hardened -ip28 -ip32r10k -mudflap -multislot -nocxx -objc -objc++ -objc-gc -test% -vanilla" 38,324 kB
[ebuild     U ] sys-libs/glibc-2.3.6-r5 [2.3.6-r4] USE="nls -build -erandom -glibc-compat20 -glibc-omitfp -hardened -profile" 15,523 kB
[ebuild     U ] sys-apps/net-tools-1.60-r12 [1.60-r11] USE="nls -static" 297 kB
[ebuild     U ] sys-apps/kbd-1.12-r8 [1.12-r6] USE="nls" 867 kB
[ebuild     U ] sys-apps/busybox-1.2.2.1 [1.1.3] USE="-debug -make-symlinks -netboot -savedconfig -static" 1,380 kB
[ebuild     U ] sys-apps/gawk-3.1.5-r2 [3.1.5-r1] USE="nls" 2,256 kB
[ebuild     U ] app-arch/tar-1.16-r2 [1.15.1-r1] USE="nls -static" 1,743 kB
[ebuild     U ] sys-apps/shadow-4.0.18.1 [4.0.15-r2] USE="cracklib% nls pam -nousuid -skey" 1,480 kB
[ebuild   R   ] net-www/apache-2.0.58-r2  USE="apache2* ssl -debug -doc -ldap -mpm-itk -mpm-leader -mpm-peruser -mpm-prefork -mpm-threadpool -mpm-worker -static-modules -threads" 0 kB
[ebuild     U ] sys-apps/coreutils-6.4 [5.94-r1] USE="nls -acl -static" 5,216 kB
[ebuild     U ] sys-apps/baselayout-1.12.6 [1.12.1] USE="-bootstrap -build -static -unicode" 216 kB
[ebuild     U ] sys-apps/module-init-tools-3.2.2-r1 [3.2.1] USE="-no-old-linux%" 394 kB
[ebuild     U ] sys-apps/file-4.18 [4.17-r1] USE="python" 523 kB
[ebuild     U ] dev-libs/popt-1.10.7 [1.7-r1] USE="nls" 711 kB
[ebuild     U ] net-misc/rsync-2.6.9-r1 [2.6.8-r2] USE="ipv6 -acl -static -xinetd" 792 kB
[ebuild     U ] sys-apps/debianutils-2.15-r1 [2.15] USE="-build -static" 181 kB
[ebuild     U ] sys-fs/udev-103 [087-r1] 195 kB
[ebuild     U ] sys-devel/make-3.81 [3.80-r4] USE="nls -static" 1,124 kB
[ebuild   R   ] sys-kernel/gentoo-sources-2.6.18-r6  USE="-build -symlink*" 0 kB
[ebuild     U ] app-editors/nano-2.0.1 [1.3.11-r2] USE="ncurses nls spell -debug -justify -minimal -slang -unicode" 1,268 kB
[ebuild     U ] sys-apps/hdparm-6.6 [6.3] 44 kB
[ebuild     U ] net-misc/openssh-4.5_p1 [4.3_p2-r1] USE="X% pam tcpd -X509 -chroot -hpn -kerberos -ldap -libedit -skey -smartcard -static" 943 kB

Total size of downloads: 166,084 kB
Back to top
View user's profile Send private message
Tuxicomane
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 290
Location: Val-de-Marne, FRANCE

PostPosted: Tue Feb 20, 2007 3:36 pm    Post subject: Reply with quote

Ben c'est bon, tu n'as plus de problèmes là non ? ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum